{% extends 'base/base.html' %}

{% block content %}

<h1>Group List</h1>


<table class="table table-hover">
  <thead class="thead-dark">
    <tr>
      <th scope="col">Group ID</th>
      <th>Group Name</th>
      <th>Group Permissions</th>
    </tr>
  </thead>
  <tbody>
    {% for group in Groups %}
            <tr>
                <th scope="row">{{group.pk}}</th>
                <td>{{group.name}}</td>
                <td>
                    {% for permission in group.permissions.all %}
                        {{permission.name}} <br>
                    {% empty %}
                        --
                    {% endfor %}
                </td>
            </tr>
        {% empty %}
            <td colspan="2"> No Groups in the system !!</td>
    {% endfor %}
  </tbody>
</table>


{% endblock content %}